﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OfficeOpenXmlCrypto;
using System.IO;

namespace OpenXMLPasswordRemover
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length != 2)
            {
                System.Console.WriteLine("Usage: remover.exe <input file> <password>");
            }
            else
            {
                try
                {
                    OfficeCryptoStream stream = OfficeCryptoStream.Open(args[0], args[1]);
                    stream.Password = "";
                    stream.Save();
                }
                catch (FileNotFoundException e)
                {
                    System.Console.WriteLine("ERROR: Unable to read file");
                }
                catch (InvalidPasswordException e)
                {
                    System.Console.WriteLine("ERROR: Invalid password");
                }
                catch (IOException e)
                {
                    System.Console.WriteLine("ERROR: Unable to write file");
                }
            }
        }
    }
}
